@import "./anim/FadeIn.css";

@keyframes slideInFromTop {
  0% {
    top: -100px;
  }
  100% {
    top: 0;
  }
}

.header {
  -webkit-backdrop-filter: blur(25px);
  -moz-backdrop-filter: blur(25px);
  -o-backdrop-filter: blur(25px);
  -ms-backdrop-filter: blur(25px);
  backdrop-filter: blur(25px);
  background: rgba(255, 255, 255, 0.9);
  width: 100%;
  display: grid;
  justify-content: center;
  align-content: center;
  grid-template-columns: repeat(32, 1fr);
  height: 100px;
  box-shadow: 0 -9px 9px 8px rgba(0, 0, 0, 0.1);
  z-index: 2;
}

.header__headerNavigation {
  display: flex;
  justify-content: space-evenly;
  grid-column: 14/32;

  /*Might be redundant*/
  font-weight: bold;
}

.headerNavigation__menuItem {
  margin: 0 10px;
  padding: 3%;
  height: 80px;
  display: grid;
  place-items: center;
}

.headerNavigation__menuItem a:link,
.headerNavigation__menuItem a:active,
.headerNavigation__menuItem a:visited {
  color: black;
}

.headerNavigation__menuItem:hover {
  font-weight: bold;
  background: var(--accentBackgroundColor);
}

.header__headerLogo {
  grid-column: 2/9;
  padding: 1%;
  display: flex;
}

.header__headerLogo img {
  border-radius: 35px;
  overflow: hidden;
}

.header__headerLogo h3 {
  margin: auto 0 auto 5%;
  font-weight: bold;
  max-font-size: 2.5em;
}

.header__headerLogo img {
  height: 75px;
  margin: auto 0;
}

.fixedHeader {
  position: fixed;
  top: 0;
  left: 0;
  animation: slideInFromTop 200ms ease-in;
  z-index: 2;
}

.fadeIn {
  animation: fadeIn 200ms ease-in;
}

.headerLangSelector {
  display: flex;
  justify-content: center;
}

.headerLangSelector div p {
  cursor: pointer;
}
